{
  "type": "record",
  "namespace": "com.topkrabbensteam.zm.rawdatastream",
  "name": "Advertisement",
  "fields": [
    {
      "name": "uuid",
      "type": "string"
    },
    {
      "name": "type",
      "type": "int"
    },
    {
      "name": "source",
      "type": "string"
    },
    {
      "name": "url",
      "type": "string"
    },
    {
      "name": "geo",
      "type": [
        "null",
        {
          "type": "record",
          "namespace": "com.topkrabbensteam.zm.rawdatastream",
          "name": "Geo",
          "fields": [
            {
              "name": "owner_uri",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "raw_address",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "country",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "region",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "city",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "zip",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "address_line",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "lat",
              "type": [
                "null",
                "double"
              ],
              "default": null
            },
            {
              "name": "lon",
              "type": [
                "null",
                "double"
              ],
              "default": null
            },
            {
              "name": "meta",
              "type": [
                "null",
                "string"
              ],
              "default": null
            }
          ]
        }
      ],
      "default": null
    },
    {
      "name": "media_files",
      "type": {
        "type": "array",
        "items": {
          "type": "record",
          "namespace": "com.topkrabbensteam.zm.rawdatastream",
          "name": "MediaFiles",
          "fields": [
            {
              "name": "source",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "type",
              "type": [
                "null",
                "int"
              ],
              "default": null
            }
          ]
        }
      },
      "default": []
    },
    {
      "name": "object",
      "type": [
        "null",
        {
          "type": "record",
          "namespace": "com.topkrabbensteam.zm.rawdatastream",
          "name": "Object",
          "fields": [
            {
              "name": "type",
              "type": [
                "null",
                "int"
              ],
              "default": null
            },
            {
              "name": "business_offered",
              "type": [
                "null",
                "boolean"
              ],
              "default": null
            },
            {
              "name": "current_use",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "possible_use",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "object_data",
              "type": [
                "null",
                {
                  "type": "record",
                  "namespace": "com.topkrabbensteam.zm.rawdatastream",
                  "name": "ObjectData",
                  "fields": [
                    {
                      "name": "type",
                      "type": [
                        "null",
                        "int"
                      ],
                      "default": null
                    },
                    {
                      "name": "building",
                      "type": [
                        "null",
                        {
                          "type": "record",
                          "namespace": "com.topkrabbensteam.zm.rawdatastream",
                          "name": "Building",
                          "fields": [
                            {
                              "name": "type",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "year_of_built",
                              "type": [
                                "null",
                                "long"
                              ],
                              "default": null
                            },
                            {
                              "name": "category",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "num_of_storeys",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "current_use",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "building_material",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "emergency_state",
                              "type": [
                                "null",
                                "boolean"
                              ],
                              "default": null
                            },
                            {
                              "name": "rating_of_condition",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "gross_area",
                              "type": [
                                "null",
                                "double"
                              ],
                              "default": null
                            },
                            {
                              "name": "net_area",
                              "type": [
                                "null",
                                "double"
                              ],
                              "default": null
                            },
                            {
                              "name": "property_header",
                              "type": [
                                "null",
                                {
                                  "type": "record",
                                  "namespace": "com.topkrabbensteam.zm.rawdatastream",
                                  "name": "PropertyHeader",
                                  "fields": [
                                    {
                                      "name": "obj_header",
                                      "type": [
                                        "null",
                                        {
                                          "type": "record",
                                          "namespace": "com.topkrabbensteam.zm.rawdatastream",
                                          "name": "ObjectHeader",
                                          "fields": [
                                            {
                                              "name": "id",
                                              "type": [
                                                "null",
                                                "int"
                                              ],
                                              "default": null
                                            },
                                            {
                                              "name": "obj_uuid",
                                              "type": [
                                                "null",
                                                "string"
                                              ],
                                              "default": null
                                            },
                                            {
                                              "name": "obj_cat",
                                              "type": [
                                                "null",
                                                "string"
                                              ],
                                              "default": null
                                            },
                                            {
                                              "name": "obt_type",
                                              "type": [
                                                "null",
                                                "int"
                                              ],
                                              "default": null
                                            },
                                            {
                                              "name": "root_obj_uuid",
                                              "type": [
                                                "null",
                                                "string"
                                              ],
                                              "default": null
                                            },
                                            {
                                              "name": "parent_obj_uuid",
                                              "type": [
                                                "null",
                                                "string"
                                              ],
                                              "default": null
                                            },
                                            {
                                              "name": "child_obj_uuid",
                                              "type": [
                                                "null",
                                                "string"
                                              ],
                                              "default": null
                                            },
                                            {
                                              "name": "obj_uri",
                                              "type": [
                                                "null",
                                                "string"
                                              ],
                                              "default": null
                                            },
                                            {
                                              "name": "added_at",
                                              "type": [
                                                "null",
                                                "long"
                                              ],
                                              "default": null
                                            }
                                          ]
                                        }
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "short_summary",
                                      "type": [
                                        "null",
                                        "string"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "geo_point",
                                      "type": [
                                        "null",
                                        "com.topkrabbensteam.zm.rawdatastream.Geo"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "pledgor",
                                      "type": [
                                        "null",
                                        "string"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "owner",
                                      "type": [
                                        "null",
                                        "string"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "owners_count",
                                      "type": [
                                        "null",
                                        "int"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "object_class",
                                      "type": [
                                        "null",
                                        "string"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "type",
                                      "type": [
                                        "null",
                                        "int"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "cadastral_number",
                                      "type": [
                                        "null",
                                        "string"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "rights",
                                      "type": [
                                        "null",
                                        "string"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "encumbrances",
                                      "type": [
                                        "null",
                                        "string"
                                      ],
                                      "default": null
                                    }
                                  ]
                                }
                              ],
                              "default": null
                            }
                          ]
                        }
                      ],
                      "default": null
                    },
                    {
                      "name": "premises",
                      "type": [
                        "null",
                        {
                          "type": "record",
                          "namespace": "com.topkrabbensteam.zm.rawdatastream",
                          "name": "Premises",
                          "fields": [
                            {
                              "name": "property_header",
                              "type": [
                                "null",
                                "com.topkrabbensteam.zm.rawdatastream.PropertyHeader"
                              ],
                              "default": null
                            },
                            {
                              "name": "cadastral_value",
                              "type": [
                                "null",
                                "double"
                              ],
                              "default": null
                            },
                            {
                              "name": "cadastral_currency",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "purpose_of_the_premise",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "current_use",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "gross_area",
                              "type": [
                                "null",
                                "double"
                              ],
                              "default": null
                            },
                            {
                              "name": "net_area",
                              "type": [
                                "null",
                                "double"
                              ],
                              "default": null
                            },
                            {
                              "name": "occupied_area",
                              "type": [
                                "null",
                                "double"
                              ],
                              "default": null
                            },
                            {
                              "name": "area_type",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "separate_entrance",
                              "type": [
                                "null",
                                "boolean"
                              ],
                              "default": null
                            },
                            {
                              "name": "backyard_entrance",
                              "type": [
                                "null",
                                "boolean"
                              ],
                              "default": null
                            },
                            {
                              "name": "parking_type",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "finishing_quality",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "high_secondary_street",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "display_windows",
                              "type": [
                                "null",
                                "boolean"
                              ],
                              "default": null
                            },
                            {
                              "name": "floor",
                              "type": [
                                "null",
                                {
                                  "type": "record",
                                  "namespace": "com.topkrabbensteam.zm.rawdatastream",
                                  "name": "Floor",
                                  "fields": [
                                    {
                                      "name": "level",
                                      "type": [
                                        "null",
                                        "int"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "is_last",
                                      "type": [
                                        "null",
                                        "int"
                                      ],
                                      "default": null
                                    },
                                    {
                                      "name": "type",
                                      "type": [
                                        "null",
                                        "int"
                                      ],
                                      "default": null
                                    }
                                  ]
                                }
                              ],
                              "default": null
                            },
                            {
                              "name": "meta",
                              "type": [
                                "null",
                                "string"
                              ],
                              "default": null
                            },
                            {
                              "name": "number_of_floors",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "year_of_construction",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "end_date_of_rental_period",
                              "type": [
                                "null",
                                "long"
                              ],
                              "default": null
                            },
                            {
                              "name": "wall_material",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "physical_condition_of_the_object",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "composition_of_rental_rate",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "proximity_to_the_bus_stop",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "average_throughput_per_day",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "access_to_object",
                              "type": [
                                "null",
                                "int"
                              ],
                              "default": null
                            },
                            {
                              "name": "photos",
                              "type": {
                                "type": "array",
                                "items": {                                  
                                      "type": "record",
                                      "namespace": "com.topkrabbensteam.zm.rawdatastream",
                                      "name": "PhotoObject",
                                      "fields": [
                                        {
                                          "name": "made_date",
                                          "type": [
                                            "null",
                                            "long"
                                          ],
                                          "default": null
                                        },
                                        {
                                          "name": "photo_name",
                                          "type": [
                                            "null",
                                            "string"
                                          ],
                                          "default": null
                                        },
                                        {
                                          "name": "photo_base64",
                                          "type": [
                                            "null",
                                            "string"
                                          ],
                                          "default": null
                                        },
                                        {
                                          "name": "inspector_id",
                                          "type": [
                                            "null",
                                            "int"
                                          ],
                                          "default": null
                                        }
                                      ]                          
                                  
                                }
                              },
                              "default": []
                            }
                          ]
                        }
                      ],
                      "default": null
                    }
                  ]
                }
              ],
              "default": null
            }
          ]
        }
      ],
      "default": null
    },
    {
      "name": "prices",
      "type": {
        "type": "array",
        "items": {
          "type": "record",
          "namespace": "com.topkrabbensteam.zm.rawdatastream",
          "name": "Prices",
          "fields": [
            {
              "name": "value",
              "type": [
                "null",
                "double"
              ],
              "default": null
            },
            {
              "name": "type",
              "type": [
                "null",
                "int"
              ],
              "default": null
            },
            {
              "name": "type_comment",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "value_type",
              "type": [
                "null",
                "int"
              ],
              "default": null
            },
            {
              "name": "value_type_comment",
              "type": [
                "null",
                "string"
              ],
              "default": null
            }
          ]
        }
      },
      "default": []
    },
    {
      "name": "owner",
      "type": [
        "null",
        {
          "type": "record",
          "namespace": "com.topkrabbensteam.zm.rawdatastream",
          "name": "Owner",
          "fields": [
            {
              "name": "name",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "phone",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "email",
              "type": [
                "null",
                "string"
              ],
              "default": null
            },
            {
              "name": "site",
              "type": [
                "null",
                "string"
              ],
              "default": null
            }
          ]
        }
      ],
      "default": null
    }
  ]
}